db
Prev | Orchestra Opcodes and Operators | Next

## db

db — Returns the amplitude equivalent for a given decibel amount.

## Description

Returns the amplitude equivalent for a given decibel amount. This opcode is the same as ampdb.

## Syntax

    db(x)

This function works at a-rate, i-rate, and k-rate.

## Initialization

x -- a value expressed in decibels.

## Performance

Returns the amplitude for a given decibel amount.

## Examples

Here is an example of the db opcode. It uses the file db.csd.

Example 153. Example of the db opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    -odac     ;;;RT audio out
    ;-iadc    ;;;uncomment -iadc if RT audio input is needed too
    ; For Non-realtime ouput leave only the line below:
    ; -o db.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    sr = 44100
    ksmps = 32
    nchnls = 2

    instr 1

    idec = p4
    iamp = db(idec)
         print iamp
    asig vco2 iamp, 110			;sawtooth
         outs asig, asig

    endin

    </CsInstruments>
    <CsScore>

    i 1 0 1 50
    i 1 + 1 >
    i 1 + 1 >
    i 1 + 1 85
    e

    </CsScore>
    </CsoundSynthesizer>

Its output should include lines like:

    instr 1:  iamp = 316.252
    instr 1:  iamp = 1211.582
    instr 1:  iamp = 4641.643
    instr 1:  iamp = 17782.420

## See Also

ampdb, cent, octave, semitone

New in version 4.16

Prev | Up | Next
dates | Home | dbamp